Summary: SILC Client Library
Name: libsilc
Version: 1.0.2
Release: 2.fc6
License: GPL
Group: System Environment/Libraries
URL: http://www.silcnet.org/
Source0: silc-toolkit-%{version}.tar.bz2
Patch0: silc-toolkit-1.0.2-libs.patch
Patch1: silc-toolkit-1.0.2-wordsize.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch: 0
# doc subpackage was removed because they are too big and not useful
Obsoletes: libsilc-doc <= 0.9.12

%description
SILC Client Library libraries for SILC clients.

%package devel
Summary: Headers and shared libraries for %{name}
Group: Development/Libraries
Requires: libsilc = %{epoch}:%{version}-%{release}
Requires: pkgconfig
%description devel
The SILC Toolkit development libraries and headers. Required for building SILC clients.

%prep
%setup -q -n silc-toolkit-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure --libdir=%{_libdir} --enable-shared \
           --includedir=%{_includedir}/silc --with-simdir=%{_libdir}/silc/modules \
           --with-docdir=%{_docdir}/%{name}-%{version} CFLAGS="$RPM_OPT_FLAGS"

# WARNING! smp flags cause bad binaries!
make

%install
# clear the buildroot
rm -rf $RPM_BUILD_ROOT

# make install
make DESTDIR=$RPM_BUILD_ROOT install
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/lib* ${RPM_BUILD_ROOT}%{_libdir}/silc/modules/*.so

# remove files we don't want into the package, but are being installed to buildroot
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/silcalgs.conf $RPM_BUILD_ROOT%{_sysconfdir}/silcd.conf \
       $RPM_BUILD_ROOT%{_docdir} $RPM_BUILD_ROOT%{_mandir}

# remove .a and .la
rm -f $RPM_BUILD_ROOT%{_libdir}/libsilc.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libsilc.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libsilcclient.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libsilcclient.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

# the main package libsilc
%files
%defattr(0755, root, root, 0755)
%{_libdir}/libsilc-1.0.so.2
%{_libdir}/libsilc-1.0.so.2.4.1
%{_libdir}/libsilcclient-1.0.so.1
%{_libdir}/libsilcclient-1.0.so.1.3.2
%dir %_libdir/silc
%dir %_libdir/silc/modules
%{_libdir}/silc/modules/*.so
%defattr(0644, root, root, 0755)
%doc COPYING doc/FAQ CREDITS

# sub-package libsilc-devel
%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/libsilc.so
%{_libdir}/libsilcclient.so
%{_libdir}/pkgconfig/silc.pc
%{_libdir}/pkgconfig/silcclient.pc
%dir %_includedir/silc
%{_includedir}/silc/*.h

%changelog
* Wed Oct 04 2006 Warren Togami <wtogami@redhat.com> 1.0.2-2
- fix multilib file conflicts in -devel

* Wed Jun 28 2006 Warren Togami <wtogami@redhat.com> 1.0.2-1
- remove .a and .la files

* Wed Dec 21 2005 Stu Tomlinson <stu@nosnilmot.com> 1.0.2-0
- Update to 1.0.2

* Sat Apr 9  2005 Stu Tomlinson <stu@nosnilmot.com>  0.9.12-11
- use RPM_OPT_FLAGS (#153261)

* Fri Apr 1  2005 Warren Togami <wtogami@redhat.com> 0.9.12-10
- remove huge doc subpackage to save space, not useful

* Wed Mar 16 2005 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 28 2005 Warren Togami <wtogami@redhat.com> 0.9.12-8
- gcc4 rebuild

* Wed Sep 1 2004 Warren Togami <wtogami@redhat.com> 0.9.12-7
- rawhide import
- minor spec changes

* Tue Sep 1 2004 Toni Willberg <toniw@iki.fi>
- 0.9.12-0.fdr.5 - Had to remove smp_mflags because build fails with them (Michael Schwendt)
* Tue Aug 31 2004 Toni Willberg <toniw@iki.fi>
- 0.9.12-0.fdr.5 - corrections to lib and include path (from Michael Schwendt)
* Tue Aug 31 2004 Toni Willberg <toniw@iki.fi>
- 0.9.12-0.fdr.4 - post/postun /sbin/ldconfig
  (Patch 823 from Stu Tomlinson)
* Tue Aug 31 2004 Toni Willberg <toniw@iki.fi>
- 0.9.12-0.fdr.3 - Move libs to %{_libdir} and add a silc.pc 
  (Patch 815 from Stu Tomlinson)
* Tue Aug 17 2004 Toni Willberg <toniw@iki.fi>
- fix so permissions and hardcoded paths (patch from Michael Schwendt)
* Mon Jul 5 2004 Toni Willberg <toniw@iki.fi>
- Fixed various errors
* Sun Jul 4 2004 Toni Willberg <toniw@iki.fi>
- Initial version for Fedora
